Package com.io7m.waxmill.machines

# Enum WXMSide

java.lang.Object
java.lang.Enum<WXMSide>
com.io7m.waxmill.machines.WXMSide

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMSide>`, `java.lang.constant.Constable`

    public enum WXMSide
    extends java.lang.Enum<WXMSide>

The "side" of a device that is visible to both the host and guest.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `GUEST` | The guest side of an object.
  `HOST` | The host side of an object.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMSide` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMSide[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HOST

    public static final WXMSide HOST
    The host side of an object.

  - ### GUEST

    public static final WXMSide GUEST
    The guest side of an object.

- ## Method Details

  - ### values

    public static WXMSide[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMSide valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null